apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: {{ .Release.Name }}-frontend-access
spec:
  podSelector:
    matchLabels:
      project: {{ .Release.Name }}-frontend
  policyTypes:
  - Ingress
  - Egress
  ingress:
    - from:
      - podSelector:
          matchLabels:
            app.kubernetes.io/component: controller # ingress
  egress:
  - to:
    - podSelector:
        matchLabels:
          project: {{ .Release.Name }}-backend